# Email Routing ## Get Email Routing settings `client.emailRouting.get(EmailRoutingGetParamsparams, RequestOptionsoptions?): Settings` **get** `/zones/{zone_id}/email/routing` Get information about the settings for your Email Routing zone. ### Parameters - `params: EmailRoutingGetParams` - `zone_id: string` Identifier. ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ``` ## Disable Email Routing `client.emailRouting.disable(EmailRoutingDisableParamsparams, RequestOptionsoptions?): Settings` **post** `/zones/{zone_id}/email/routing/disable` Disable your Email Routing zone. Also removes additional MX records previously required for Email Routing to work. ### Parameters - `params: EmailRoutingDisableParams` - `zone_id: string` Path param: Identifier. - `body: unknown` Body param ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.disable({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', body: {}, }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ``` ## Enable Email Routing `client.emailRouting.enable(EmailRoutingEnableParamsparams, RequestOptionsoptions?): Settings` **post** `/zones/{zone_id}/email/routing/enable` Enable you Email Routing zone. Add and lock the necessary MX and SPF records. ### Parameters - `params: EmailRoutingEnableParams` - `zone_id: string` Path param: Identifier. - `body: unknown` Body param ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.enable({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', body: {}, }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ``` ## Domain Types ### Settings - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) # DNS ## Email Routing - DNS settings `client.emailRouting.dns.get(DNSGetParamsparams, RequestOptionsoptions?): DNSGetResponse` **get** `/zones/{zone_id}/email/routing/dns` Show the DNS records needed to configure your Email Routing zone. ### Parameters - `params: DNSGetParams` - `zone_id: string` Path param: Identifier. - `subdomain?: string` Query param: Domain of your zone. ### Returns - `DNSGetResponse = EmailEmailRoutingDNSQueryResponse | EmailDNSSettingsResponseCollection` - `EmailEmailRoutingDNSQueryResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result?: Result` - `errors?: Array` - `code?: string` - `missing?: DNSRecord` List of records needed to enable an Email Routing zone. - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `number` - `1` - `1` - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `"A"` - `"AAAA"` - `"CNAME"` - `"HTTPS"` - `"TXT"` - `"SRV"` - `"LOC"` - `"MX"` - `"NS"` - `"CERT"` - `"DNSKEY"` - `"DS"` - `"NAPTR"` - `"SMIMEA"` - `"SSHFP"` - `"SVCB"` - `"TLSA"` - `"URI"` - `record?: Array` - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. - `EmailDNSSettingsResponseCollection` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result?: Array` - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const dns = await client.emailRouting.dns.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(dns); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "errors": [ { "code": "code", "missing": { "content": "route1.mx.cloudflare.net", "name": "example.com", "priority": 12, "ttl": 1, "type": "NS" } } ], "record": [ { "content": "route1.mx.cloudflare.net", "name": "example.com", "priority": 12, "ttl": 1, "type": "NS" } ] }, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Enable Email Routing `client.emailRouting.dns.create(DNSCreateParamsparams, RequestOptionsoptions?): Settings` **post** `/zones/{zone_id}/email/routing/dns` Enable you Email Routing zone. Add and lock the necessary MX and SPF records. ### Parameters - `params: DNSCreateParams` - `zone_id: string` Path param: Identifier. - `name?: string` Body param: Domain of your zone. ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.dns.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ``` ## Unlock Email Routing `client.emailRouting.dns.edit(DNSEditParamsparams, RequestOptionsoptions?): Settings` **patch** `/zones/{zone_id}/email/routing/dns` Unlock MX Records previously locked by Email Routing. ### Parameters - `params: DNSEditParams` - `zone_id: string` Path param: Identifier. - `name?: string` Body param: Domain of your zone. ### Returns - `Settings` - `id: string` Email Routing settings identifier. - `enabled: true | false` State of the zone settings for Email Routing. - `true` - `false` - `name: string` Domain of your zone. - `created?: string` The date and time the settings have been created. - `modified?: string` The date and time the settings have been modified. - `skip_wizard?: true | false` Flag to check if the user skipped the configuration wizard. - `true` - `false` - `status?: "ready" | "unconfigured" | "misconfigured" | 2 more` Show the state of your account, and the type or configuration error. - `"ready"` - `"unconfigured"` - `"misconfigured"` - `"misconfigured/locked"` - `"unlocked"` - `tag?: string` Email Routing settings tag. (Deprecated, replaced by Email Routing settings identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const settings = await client.emailRouting.dns.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(settings.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "75610dab9e69410a82cf7e400a09ecec", "enabled": true, "name": "example.net", "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "skip_wizard": true, "status": "ready", "tag": "75610dab9e69410a82cf7e400a09ecec" } } ``` ## Disable Email Routing `client.emailRouting.dns.delete(DNSDeleteParamsparams, RequestOptionsoptions?): SinglePage` **delete** `/zones/{zone_id}/email/routing/dns` Disable your Email Routing zone. Also removes additional MX records previously required for Email Routing to work. ### Parameters - `params: DNSDeleteParams` - `zone_id: string` Identifier. ### Returns - `DNSRecord` List of records needed to enable an Email Routing zone. - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `number` - `1` - `1` - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `"A"` - `"AAAA"` - `"CNAME"` - `"HTTPS"` - `"TXT"` - `"SRV"` - `"LOC"` - `"MX"` - `"NS"` - `"CERT"` - `"DNSKEY"` - `"DS"` - `"NAPTR"` - `"SMIMEA"` - `"SSHFP"` - `"SVCB"` - `"TLSA"` - `"URI"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const dnsRecord of client.emailRouting.dns.delete({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(dnsRecord.content); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true } ``` ## Domain Types ### DNS Record - `DNSRecord` List of records needed to enable an Email Routing zone. - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `number` - `1` - `1` - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `"A"` - `"AAAA"` - `"CNAME"` - `"HTTPS"` - `"TXT"` - `"SRV"` - `"LOC"` - `"MX"` - `"NS"` - `"CERT"` - `"DNSKEY"` - `"DS"` - `"NAPTR"` - `"SMIMEA"` - `"SSHFP"` - `"SVCB"` - `"TLSA"` - `"URI"` ### DNS Get Response - `DNSGetResponse = EmailEmailRoutingDNSQueryResponse | EmailDNSSettingsResponseCollection` - `EmailEmailRoutingDNSQueryResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result?: Result` - `errors?: Array` - `code?: string` - `missing?: DNSRecord` List of records needed to enable an Email Routing zone. - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `number` - `1` - `1` - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `"A"` - `"AAAA"` - `"CNAME"` - `"HTTPS"` - `"TXT"` - `"SRV"` - `"LOC"` - `"MX"` - `"NS"` - `"CERT"` - `"DNSKEY"` - `"DS"` - `"NAPTR"` - `"SMIMEA"` - `"SSHFP"` - `"SVCB"` - `"TLSA"` - `"URI"` - `record?: Array` - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. - `EmailDNSSettingsResponseCollection` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` - `result?: Array` - `content?: string` DNS record content. - `name?: string` DNS record name (or @ for the zone apex). - `priority?: number` Required for MX, SRV and URI records. Unused by other record types. Records with lower priorities are preferred. - `ttl?: number | 1` Time to live, in seconds, of the DNS record. Must be between 60 and 86400, or 1 for 'automatic'. - `type?: "A" | "AAAA" | "CNAME" | 15 more` DNS record type. - `result_info?: ResultInfo` - `count?: number` Total number of results for the requested service. - `page?: number` Current page within paginated list of results. - `per_page?: number` Number of results per page of results. - `total_count?: number` Total results available without any search parameters. - `total_pages?: number` The number of total pages in the entire result set. # Rules ## List routing rules `client.emailRouting.rules.list(RuleListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/zones/{zone_id}/email/routing/rules` Lists existing routing rules. ### Parameters - `params: RuleListParams` - `zone_id: string` Path param: Identifier. - `enabled?: true | false` Query param: Filter by enabled routing rules. - `true` - `false` - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Maximum number of results per page. ### Returns - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const emailRoutingRule of client.emailRouting.rules.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(emailRoutingRule.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 1, "total_pages": 100 } } ``` ## Get routing rule `client.emailRouting.rules.get(stringruleIdentifier, RuleGetParamsparams, RequestOptionsoptions?): EmailRoutingRule` **get** `/zones/{zone_id}/email/routing/rules/{rule_identifier}` Get information for a specific routing rule already created. ### Parameters - `ruleIdentifier: string` Routing rule identifier. - `params: RuleGetParams` - `zone_id: string` Identifier. ### Returns - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const emailRoutingRule = await client.emailRouting.rules.get('a7e6fb77503c41d8a7f3113c6918f10c', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(emailRoutingRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Create routing rule `client.emailRouting.rules.create(RuleCreateParamsparams, RequestOptionsoptions?): EmailRoutingRule` **post** `/zones/{zone_id}/email/routing/rules` Rules consist of a set of criteria for matching emails (such as an email being sent to a specific custom email address) plus a set of actions to take on the email (like forwarding it to a specific destination address). ### Parameters - `params: RuleCreateParams` - `zone_id: string` Path param: Identifier. - `actions: Array` Body param: List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `matchers: Array` Body param: Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `enabled?: true | false` Body param: Routing rule status. - `true` - `false` - `name?: string` Body param: Routing rule name. - `priority?: number` Body param: Priority of the routing rule. ### Returns - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const emailRoutingRule = await client.emailRouting.rules.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', actions: [{ type: 'forward' }], matchers: [{ type: 'literal' }], }); console.log(emailRoutingRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Update routing rule `client.emailRouting.rules.update(stringruleIdentifier, RuleUpdateParamsparams, RequestOptionsoptions?): EmailRoutingRule` **put** `/zones/{zone_id}/email/routing/rules/{rule_identifier}` Update actions and matches, or enable/disable specific routing rules. ### Parameters - `ruleIdentifier: string` Routing rule identifier. - `params: RuleUpdateParams` - `zone_id: string` Path param: Identifier. - `actions: Array` Body param: List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `matchers: Array` Body param: Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `enabled?: true | false` Body param: Routing rule status. - `true` - `false` - `name?: string` Body param: Routing rule name. - `priority?: number` Body param: Priority of the routing rule. ### Returns - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const emailRoutingRule = await client.emailRouting.rules.update( 'a7e6fb77503c41d8a7f3113c6918f10c', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', actions: [{ type: 'forward' }], matchers: [{ type: 'literal' }], }, ); console.log(emailRoutingRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Delete routing rule `client.emailRouting.rules.delete(stringruleIdentifier, RuleDeleteParamsparams, RequestOptionsoptions?): EmailRoutingRule` **delete** `/zones/{zone_id}/email/routing/rules/{rule_identifier}` Delete a specific routing rule. ### Parameters - `ruleIdentifier: string` Routing rule identifier. - `params: RuleDeleteParams` - `zone_id: string` Identifier. ### Returns - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const emailRoutingRule = await client.emailRouting.rules.delete( 'a7e6fb77503c41d8a7f3113c6918f10c', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(emailRoutingRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Domain Types ### Action - `Action` Actions pattern. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` ### Email Routing Rule - `EmailRoutingRule` - `id?: string` Routing rule identifier. - `actions?: Array` List actions patterns. - `type: "drop" | "forward" | "worker"` Type of supported action. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` Matching patterns to forward to your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. - `name?: string` Routing rule name. - `priority?: number` Priority of the routing rule. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Matcher - `Matcher` Matching pattern to forward your actions. - `type: "all" | "literal"` Type of matcher. - `"all"` - `"literal"` - `field?: "to"` Field for type matcher. - `"to"` - `value?: string` Value for matcher. # Catch Alls ## Get catch-all rule `client.emailRouting.rules.catchAlls.get(CatchAllGetParamsparams, RequestOptionsoptions?): CatchAllGetResponse` **get** `/zones/{zone_id}/email/routing/rules/catch_all` Get information on the default catch-all routing rule. ### Parameters - `params: CatchAllGetParams` - `zone_id: string` Identifier. ### Returns - `CatchAllGetResponse` - `id?: string` Routing rule identifier. - `actions?: Array` List actions for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` List of matchers for the catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` - `name?: string` Routing rule name. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const catchAll = await client.emailRouting.rules.catchAlls.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(catchAll.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "all" } ], "name": "Send to user@example.net rule.", "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Update catch-all rule `client.emailRouting.rules.catchAlls.update(CatchAllUpdateParamsparams, RequestOptionsoptions?): CatchAllUpdateResponse` **put** `/zones/{zone_id}/email/routing/rules/catch_all` Enable or disable catch-all routing rule, or change action to forward to specific destination address. ### Parameters - `params: CatchAllUpdateParams` - `zone_id: string` Path param: Identifier. - `actions: Array` Body param: List actions for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `matchers: Array` Body param: List of matchers for the catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` - `enabled?: true | false` Body param: Routing rule status. - `true` - `false` - `name?: string` Body param: Routing rule name. ### Returns - `CatchAllUpdateResponse` - `id?: string` Routing rule identifier. - `actions?: Array` List actions for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` List of matchers for the catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` - `name?: string` Routing rule name. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const catchAll = await client.emailRouting.rules.catchAlls.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', actions: [{ type: 'forward' }], matchers: [{ type: 'all' }], }); console.log(catchAll.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "all" } ], "name": "Send to user@example.net rule.", "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } } ``` ## Domain Types ### Catch All Action - `CatchAllAction` Action for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` ### Catch All Matcher - `CatchAllMatcher` Matcher for catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` ### Catch All Get Response - `CatchAllGetResponse` - `id?: string` Routing rule identifier. - `actions?: Array` List actions for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` List of matchers for the catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` - `name?: string` Routing rule name. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Catch All Update Response - `CatchAllUpdateResponse` - `id?: string` Routing rule identifier. - `actions?: Array` List actions for the catch-all routing rule. - `type: "drop" | "forward" | "worker"` Type of action for catch-all rule. - `"drop"` - `"forward"` - `"worker"` - `value?: Array` - `enabled?: true | false` Routing rule status. - `true` - `false` - `matchers?: Array` List of matchers for the catch-all routing rule. - `type: "all"` Type of matcher. Default is 'all'. - `"all"` - `name?: string` Routing rule name. - `tag?: string` Routing rule tag. (Deprecated, replaced by routing rule identifier) # Addresses ## List destination addresses `client.emailRouting.addresses.list(AddressListParamsparams, RequestOptionsoptions?): V4PagePaginationArray
` **get** `/accounts/{account_id}/email/routing/addresses` Lists existing destination addresses. ### Parameters - `params: AddressListParams` - `account_id: string` Path param: Identifier. - `direction?: "asc" | "desc"` Query param: Sorts results in an ascending or descending order. - `"asc"` - `"desc"` - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Maximum number of results per page. - `verified?: true | false` Query param: Filter by verified destination addresses. - `true` - `false` ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const address of client.emailRouting.addresses.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(address.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 1, "total_pages": 100 } } ``` ## Get a destination address `client.emailRouting.addresses.get(stringdestinationAddressIdentifier, AddressGetParamsparams, RequestOptionsoptions?): Address` **get** `/accounts/{account_id}/email/routing/addresses/{destination_address_identifier}` Gets information for a specific destination email already created. ### Parameters - `destinationAddressIdentifier: string` Destination address identifier. - `params: AddressGetParams` - `account_id: string` Identifier. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.get('ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Create a destination address `client.emailRouting.addresses.create(AddressCreateParamsparams, RequestOptionsoptions?): Address` **post** `/accounts/{account_id}/email/routing/addresses` Create a destination address to forward your emails to. Destination addresses need to be verified before they can be used. ### Parameters - `params: AddressCreateParams` - `account_id: string` Path param: Identifier. - `email: string` Body param: The contact email address of the user. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', email: 'user@example.com', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Delete destination address `client.emailRouting.addresses.delete(stringdestinationAddressIdentifier, AddressDeleteParamsparams, RequestOptionsoptions?): Address` **delete** `/accounts/{account_id}/email/routing/addresses/{destination_address_identifier}` Deletes a specific destination address. ### Parameters - `destinationAddressIdentifier: string` Destination address identifier. - `params: AddressDeleteParams` - `account_id: string` Identifier. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.delete('ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Domain Types ### Address - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet.